## com.gargoylesoftware.htmlunit
Class WebWindowAdapter

    java.lang.Object
      com.gargoylesoftware.htmlunit.WebWindowAdapter

All Implemented Interfaces:
  WebWindowListener

    public class WebWindowAdapter

extends java.lang.Object
implements WebWindowListener

An adapter for the WebWindowListener interface.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler

Constructor Summary
`WebWindowAdapter()` Creates an instance.

Method Summary
`void` `webWindowClosed(WebWindowEvent event)` A web window has been closed.
`void` `webWindowContentChanged(WebWindowEvent event)` The contents of a web window has been changed.
`void` `webWindowOpened(WebWindowEvent event)` A web window has been opened.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebWindowAdapter

    public WebWindowAdapter()

  Creates an instance.

Method Detail

### webWindowOpened

    public void webWindowOpened(WebWindowEvent event)

  A web window has been opened.

  Specified by:
    `webWindowOpened` in interface `WebWindowListener`
  Parameters:
    `event` - the event

### webWindowContentChanged

    public void webWindowContentChanged(WebWindowEvent event)

  The contents of a web window has been changed.

  Specified by:
    `webWindowContentChanged` in interface `WebWindowListener`
  Parameters:
    `event` - the event

### webWindowClosed

    public void webWindowClosed(WebWindowEvent event)

  A web window has been closed.

  Specified by:
    `webWindowClosed` in interface `WebWindowListener`
  Parameters:
    `event` - the event

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.